/** \file Settings.h
*/

#ifndef SettingsH
#define SettingsH
//---------------------------------------------------------------------------
#include <System.hpp>

/** \brief Common (not related to any dll) program settings with Read/Write functions
*/
class Settings
{
public:
	bool Read(AnsiString asFileName);  ///< write settings to ini file
	bool Write(AnsiString asFileName); ///< read settings from ini file
	int iPosX, iPosY;                  ///< main window coordinates
	int iHeight, iWidth;			   ///< main window size
//	bool bAutoScroll;				    ///< auto scroll log
	unsigned int iMaxUiLogLines;	   ///< maximum no. of lines cached with GUI
	bool bAlwaysOnTop;                 ///< window always on top setting
	bool bWindowMaximized;             ///< was window maximized when app was closing?
	unsigned int iDisplayRefreshFreq;	///< display refresh frequency (if applicable)
	AnsiString asInputDeviceDllName;   ///< name of previously selected device interface dll
};

#endif
